Subject: bug#25612: 26.0.50; Slightly suboptimal message for disabled commands

From: Philipp Stephani <[email-masked]>
Date: Fri, 03 Feb 2017 14:15:30 +0000

Eli Zaretskii <[email-masked]> schrieb am Fr., 3. Feb. 2017 um 14:19 Uhr:

> > From: Philipp Stephani <[email-masked]>
> > Date: Fri, 03 Feb 2017 13:34:09 +0100
> >
> > Run M-x erase-buffer.  The *Disabled Command* buffer that shows up
> > contains
> >
> >   You have typed RET, invoking disabled command erase-buffer.
> >
> > This should rather be
> >
> >   You have typed M-x erase-buffer RET, invoking disabled command
> >   erase-buffer.
> >
> > The RET alone of course didn't invoke the command, it just happens to be
> > the last keystroke, so this message might be somewhat confusing.
>
> Depending on your POV, it could be argued that RET is the one that
> actually invoked the command.
>
> Perhaps the message should avoid showing the key sequence at all?
>

It seems that this is the intention of lines 54 through 62 in novice.el,
but it doesn't seem to work any more.
This is a regression: it still works as expected in Emacs 23.4, but no
longer in Emacs 24.3. Probably something about this-command-keys or
command-execute changed in the meantime so that the code in novice.el no
longer works as expected.